<%--
   Copyright 2004-2005 The Apache Software Foundation.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at
   
       http://www.apache.org/licenses/LICENSE-2.0
   
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
  
   $Header:$
--%>
<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>

<netui-template:template templatePage="/resources/template/template.jsp">
  <netui-template:setAttribute name="sampleTitle" value="Data Grid"/>
  <netui-template:section name="main">
    <!--
      The 'dataSource' attribute references the 'pets' member variable in the class 'datagrid/Controller.jpf' 
      The 'resouceBundlePath' attribute references the file WEB-INF/src/org/apache/beehive/samples/netui/resources/datagrid/grid.properties 
      The 'styleClassPrefix' attribute references the CSS styles defined in the file resource/css/style.css
    -->
    <netui-data:dataGrid name="petGrid" dataSource="pageInput.petList"
                         resourceBundlePath="org.apache.beehive.samples.netui.resources.datagrid.grid"
                         styleClassPrefix="gridStyle">
    <netui-data:configurePager pageSize="3" pagerFormat="prevNext" pageAction="begin.do"/>
        <netui-data:caption>Pets Available</netui-data:caption>
        <netui-data:header>
            <netui-data:headerCell headerText="Pet ID Number"/>
            <netui-data:headerCell headerText="Name"/>
            <netui-data:headerCell headerText="Description"/>
            <netui-data:headerCell headerText="Price"/>
        </netui-data:header>
        <netui-data:rows>
            <netui-data:spanCell value="${container.item.petID}"/>
            <netui-data:spanCell value="${container.item.name}"/>
            <netui-data:spanCell value="${container.item.description}"/>
            <netui-data:spanCell value="${container.item.price}"/>
        </netui-data:rows>
    </netui-data:dataGrid>
  </netui-template:section>
</netui-template:template>
